%define majorminor 0.10
%define upstream gst-pulse

Name:           gstreamer-plugins-pulse
Version:        0.9.5
Release:        0.5.svn20070924%{?dist}
Summary:        GStreamer 0.10 plugin for the PulseAudio sound server
Group:          Applications/Multimedia
License:        LGPL
URL:            http://0pointer.de/lennart/projects/gst-pulse/
#Source0: http://0pointer.de/lennart/projects/gst-pulse/%{upstream}-%{version}.tar.gz
Source0:        gst-pulse-0.9.5.svn20070924.tar.gz
Source1:        gstreamer-plugins-pulse-README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  lynx
BuildRequires:  pulseaudio-lib-devel

%description
%{name} is a GStreamer 0.10 plugin for the PulseAudio sound
server.

%prep
%setup -q -n %{upstream}-%{version}
install -m 0644 -p %{SOURCE1} README.Fedora

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# to overcome problem with libtool on Linux
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc LICENSE README README.Fedora
%{_libdir}/gstreamer-%{majorminor}/libgstpulse*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.5-0.5.svn20070924
- Autorebuild for GCC 4.3

* Mon Sep 24 2007 Lennart Poettering <lpoetter@redhat.com> - 0.9.5-0.4.svn20070924
- Update SVN snapshot

* Thu Aug 16 2007 Lennart Poettering <lpoetter@redhat.com> - 0.9.5-0.3.svn20070816
- Update SVN snapshot

* Thu Aug 16 2007 Lennart Poettering <lpoetter@redhat.com> - 0.9.5-0.2.svn20070816
- Update SVN snapshot

* Tue Aug 14 2007 Lennart Poettering <lpoetter@redhat.com> - 0.9.5-0.1.svn20070814
. get SVN snapshot. increase rank to get advantage over alsa

* Thu Jan 26 2007 Matej Cepl <mcepl@redhat.com> - 0.9.4-3
- removing *.la file
- gstreamer-plugins-base-devel to BuildRequires
- fix Release number

* Thu Jan 25 2007 Matej Cepl <mcepl@redhat.com> - 0.9.4-0.mc.2
- bug in FE
- changed name to gstreamer-plugins-pulse
* Thu Jan 25 2007 Matej Cepl <mcepl@redhat.com> - 0.9.4-0.mc.1
- experimental build
